﻿using System;

namespace CRUD
{
    public class Initializer : System.Data.Entity.DropCreateDatabaseIfModelChanges<Context>
    {
        protected override void Seed(Context context)
        {
            base.Seed(context);
            context.People.Add(
                new Person
                    {
                        FirstName = "John",
                        LastName = "Doe",
                    }
                );
            context.People.Add(
                new Person
                    {
                        FirstName = "Jane",
                        LastName = "Doe",
                    }
                );
        	context.SaveChanges();

        	context.Database.ExecuteSqlCommand(
        		"CREATE VIEW [dbo].[PersonView] AS SELECT TOP 100 PERCENT ID, LastName + ', ' + FirstName AS FullName " + 
				"FROM  dbo.People ORDER BY LastName, FirstName");

        	context.Database.ExecuteSqlCommand("CREATE PROCEDURE dbo.InsertPerson " +
        	                                   "@ID INT OUTPUT, " +
        	                                   "@FirstName NVARCHAR(30), " +
        	                                   "@LastName NVARCHAR(50) " +
        	                                   "AS " +
        	                                   "INSERT INTO dbo.People " +
        	                                   "( FirstName, LastName) " +
        	                                   "VALUES  ( @FirstName, @LastName) " +
        	                                   "SET @ID = SCOPE_IDENTITY()");

        	context.Database.ExecuteSqlCommand(
        		"CREATE PROCEDURE [dbo].[SearchPeople] @LastName NVARCHAR(50) AS SELECT * " + 
				"FROM dbo.People WHERE LastName LIKE '%' + @LastName + '%'");
        }
    }
}
