using System.Configuration;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using Oracle.DataAccess.Client;

namespace EFOracle
{
    public class Context : DbContext
    {
        public Context()
            : base(new OracleConnection(ConfigurationManager.ConnectionStrings["OracleHR"].ConnectionString), true)
        {

        }
        public DbSet<Country> Countries { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Conventions.Remove<IncludeMetadataConvention>();
            modelBuilder.Entity<Country>().Property(p => p.CountryID).HasColumnName("COUNTRY_ID");
            modelBuilder.Entity<Country>().HasKey(p => p.CountryID);
            modelBuilder.Entity<Country>().Property(p => p.CountryName).HasColumnName("COUNTRY_NAME");
            modelBuilder.Entity<Country>().Property(p => p.RegionID).HasColumnName("REGION_ID");
            modelBuilder.Entity<Country>().ToTable("COUNTRIES", "HR");
        }
    }
}