﻿using System.Configuration;
using System.Data.Entity;
using System.ComponentModel.DataAnnotations;

namespace Hierarchies
{
    public class Context : DbContext
    {
        public Context()
            : base(ConfigurationManager.ConnectionStrings["HierarchyConnString"].ConnectionString)
        {

        }

        public DbSet<Developer> Developers { get; set; }
        public DbSet<ConferenceAttendee> ConferenceAttendees { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Entity<Person>().Property(p => p.Version).IsConcurrencyToken(true).IsRowVersion();
            //modelBuilder.Entity<Person>().ToTable("Persons");
            //modelBuilder.Entity<Developer>().ToTable("Developers");
            //modelBuilder.Entity<ConferenceAttendee>().ToTable("ConferenceAttendees");

            modelBuilder.Entity<Person>().Property(p => p.FirstName).HasColumnName("LNAME");
        }
    }
}
