﻿using System.Configuration;
using System.Data.Entity;

namespace SchemaChanges
{
    public class Context : DbContext
    {
        public Context()
            : base("Server=(local); Database=SchemaChangesDB;Trusted_Connection=true")
        {

        }

        public DbSet<Person> People { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            modelBuilder.Entity<Person>().Property(p => p.Version).IsConcurrencyToken(true).IsRowVersion();
            modelBuilder.Entity<Person>().Property(p => p.FirstName).HasMaxLength(30).IsRequired();
            modelBuilder.Entity<Person>().Property(p => p.LastName).HasMaxLength(50).IsRequired();
            modelBuilder.Entity<Person>().Property(p => p.MiddleName).HasMaxLength(2).IsRequired();
            modelBuilder.Entity<Person>().Property(p => p.Title).HasMaxLength(30).IsRequired();
        }
    }
}
